#include <stdio.h>
#include "client_io.h"

/**********************************************
 * Gets a place from the opponent.
 *
 * This is an x,y coordinate of where the opponent
 * placed a kangaroo.
 *
 **********************************************/
void GetPlacingFromOpponent(int *x, int *y)
{
   char s[10];
   scanf("%d,%d",x,y);
   fgets(s,10,stdin);  /* Eat newline leftover by scanf */
}

/**********************************************
 * Sends a place to the opponent.
 *
 * This is an x,y coordinate of where we
 * placed a kangaroo.
 *
 **********************************************/
void SendPlacingToOpponent(int x, int y)
{
  printf("%d,%d\n",x,y);
  fflush(stdout);
}


/**********************************************
 * Gets a move from the opponent.
 *
 * The string holds the move.
 *
 **********************************************/
void GetMoveFromOpponent(char *s)
{
   fgets(s,200,stdin);
}

/**********************************************
 * Sends a move to the opponent.  Use the
 * same code format for walks and jumps as described
 * in the billabong document.
 **********************************************/
void SendMoveToOpponent(char *s)
{
   printf("%s\n",s);
   fflush(stdout);
}

