#ifndef __move_h_
#define __move_h_


int IsValidPlace(char board[XDIM][YDIM], int x, int y);

void ParseMove(char *s, move_struct *mptr);

int IsValidFromStruct(char board[XDIM][YDIM], piece_info pieces[],
		char whoseturn, move_struct *mptr);

int IsValid(char board[XDIM][YDIM], piece_info pieces[],
		char whoseturn, char *strMove);

void ApplyMove(char board[XDIM][YDIM], piece_info pieces[], char *strMove);

void ApplyMoveStruct(char board[XDIM][YDIM], piece_info pieces[], move_struct *mptr);

int GameOver(piece_info pieces[], int verbose);

void MoveToString(move_struct *mptr, char *sMove);

void GenerateMoves(char board[XDIM][YDIM], piece_info pieces[],
		char whoseturn, movelist *m);

void GetWalkingMoves(char board[XDIM][YDIM], piece_info pieces[], char whoseturn, int srcx, int srcy, movelist *mptr);


#endif
